Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1420971 - ValueError: Login mapping for __default__ is not defined
Summary: ValueError: Login mapping for __default__ is not defined
Keywords:
Status: CLOSED DUPLICATE of bug 1377285
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: selinux-policy
Version: 7.3
Hardware: x86_64
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Lukas Vrabec
QA Contact: Milos Malik
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 02:54 UTC by Alex Jia
Modified: 2017-03-14 11:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-14 11:36:43 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Alex Jia 2017-02-10 02:54:16 UTC
Description of problem:
I hit error "ValueError: Login mapping for __default__ is not defined" when I upgraded selinux-policy from selinux-policy-3.13.1-102.el7 to selinux-policy-3.13.1-118.el7 by rpm, and the the docker service can't be started later, I'm not sure if it's a reason for this issue.

Version-Release number of selected component (if applicable):

[root@localhost ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.3 (Maipo)

[root@localhost ~]# rpm -q selinux-policy docker container-selinux
selinux-policy-3.13.1-118.el7.noarch
docker-1.12.6-2.el7.x86_64
container-selinux-2.7-1.el7.noarch


How reproducible:
always

Steps to Reproduce:
1. download selinux-policy related rpm packages
2. upgrade selinux-policy from e relative lower version by rpm command
3. start docker service

Actual results:

[root@localhost selinux]# rpm -Uvh *.rpm
Preparing...                          ################################# [100%]
Updating / installing...
   1:selinux-policy-3.13.1-118.el7    ################################# [ 14%]
   2:selinux-policy-minimum-3.13.1-118################################# [ 29%]
ValueError: Login mapping for __default__ is not defined
   3:selinux-policy-sandbox-3.13.1-118################################# [ 43%]
   4:selinux-policy-mls-3.13.1-118.el7################################# [ 57%]
   5:selinux-policy-targeted-3.13.1-11################################# [ 71%]
12k
Cleaning up / removing...
   6:selinux-policy-targeted-3.13.1-10################################# [ 86%]
   7:selinux-policy-3.13.1-102.el7    ################################# [100%]

[root@localhost ~]# systemctl start docker
A dependency job for docker.service failed. See 'journalctl -xe' for details.
[root@localhost ~]# systemctl status docker -l
● docker.service - Docker Application Container Engine
   Loaded: loaded (/usr/lib/systemd/system/docker.service; disabled; vendor preset: disabled)
   Active: inactive (dead)
     Docs: http://docs.docker.com

Feb 09 21:44:56 localhost.localdomain systemd[1]: Dependency failed for Docker Application Container Engine.
Feb 09 21:44:56 localhost.localdomain systemd[1]: Job docker.service/start failed with result 'dependency'.


[root@localhost ~]# getsebool virt_sandbox_use_sys_admin virt_sandbox_use_mknod
virt_sandbox_use_sys_admin --> off
virt_sandbox_use_mknod --> off

[root@localhost ~]# getenforce
Enforcing

[root@localhost ~]# setenforce 0
[root@localhost ~]# getenforce
Permissive
[root@localhost ~]# systemctl start docker
[root@localhost ~]# systemctl status docker -l
● docker.service - Docker Application Container Engine
   Loaded: loaded (/usr/lib/systemd/system/docker.service; disabled; vendor preset: disabled)
   Active: active (running) since Thu 2017-02-09 21:46:15 EST; 5s ago

<ignore/>

Expected results:


Additional info:

Comment 1 Milos Malik 2017-02-10 09:18:18 UTC
I believe this bug is a duplicate of BZ#1377285.

Comment 2 Lukas Vrabec 2017-03-14 11:36:43 UTC

*** This bug has been marked as a duplicate of bug 1377285 ***


Note You need to log in before you can comment on or make changes to this bug.